Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.autotune
Class BaseAutotuneController

    java.lang.Object
      com.ibm.able.AbleObject
          com.ibm.able.AbleDefaultAgent
              com.ibm.able.autotune.BaseAutotuneController

All Implemented Interfaces:
  AbleAgent, AbleBean, AbleBeanContainer, AbleDataBufferManager, AbleEventListener, AbleEventListenerManager, AbleEventQueueManager, AbleEventQueueProcessor, AblePropertyChangeManager, AbleSerializable, AbleUserDefinedFunctionManager, AutotuneController, java.util.EventListener, java.beans.PropertyChangeListener, java.io.Serializable

Direct Known Subclasses:
  BasicNeuralAutotuneController, Fuzzy2WayLoadBalanceController, Neural2WayLoadBalanceController

public class BaseAutotuneController
extends AbleDefaultAgent
implements AutotuneController, java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected AutotuneAdaptor` | `adaptor`
`protected AutotuneMetricCollection` | `selectedMetrics`

Fields inherited from class com.ibm.able.AbleDefaultAgent
`activeDataSource, defaultName, eventConnections, myBeans, numEpochs, processList, processListOK, userDefinedFunctions`

Fields inherited from class com.ibm.able.AbleObject
`changed, chgSupport, comment, dataFlowEnabled, destBufferConnections, eventQueue, fileName, inputBuffer, listeners, logger, name, outputBuffer, parent, properties, propertyConnectionMgr, sourceBufferConnections, state, stateChgSupport, trace`

Constructor Summary
`BaseAutotuneController()`
`BaseAutotuneController(java.lang.String name)`

Method Summary
`void` | `computeControlActions()` compute the control actions for the target system or application
`void` | `computeErrors()` compute the differences between actual and desired service levels for one or more service level metrics
`boolean` | `getLogData()` see if logging is turned on or off
`java.lang.String` | `getLogDataFileName()` get the name of the file we are writing log data to
`AutotuneMetricCollection` | `getSelectedMetrics()` get the subset of the Agent metrics that are being used by this controller
`boolean` | `isLogData()` see if logging is turned on or off
`void` | `setAdaptor(AutotuneAdaptor adaptor)` set the active Adaptor
`void` | `setControlActions()` set the control actions of the target system or application
`void` | `setLogData(boolean state)` turn logging on or off
`void` | `setLogDataFileName(java.lang.String fileName)` set the name of the file to write log data to
`void` | `setSelectedMetrics(AutotuneMetricCollection metrics)` set the subset of the Agent metrics that are being used by this controller

Methods inherited from class com.ibm.able.AbleDefaultAgent
`addBean, addBeans, addEventConnection, addUserDefinedFunction, buildProcessList, clsNm, containsBean, containsBean, containsUserDefinedFunction, debugTrace, generateUniqueName, getBean, getBeans, getDataSource, getEventConnections, getNumEpochs, getProcessList, getUserDefinedFunction, getUserDefinedFunctions, handleAbleEvent, init, initAllBeans, invokeUserDefinedFunction, isActiveDataSource, process, propertyChange, quitAll, quitEnabledEventProcessing, removeAllBeans, removeAllConnections, removeAllEventConnections, removeBean, removeBean, removeBeans, removeEventConnection, removeUserDefinedFunction, reset, resetAllBeans, resumeAll, setActiveDataSource, setDataFlowEnabled, setProcessList, setUserDefinedFunctions, suspendAll`

Methods inherited from class com.ibm.able.AbleObject
`addAbleEventListener, addDestBufferConnection, addPropertyChangeListener, addPropertyConnection, addSourceBufferConnection, addStateChangeListener, dataChanged, firePropertyChange, flushAbleEventQueue, getAbleEventListeners, getAbleEventProcessingEnabled, getAbleEventQueueSize, getComment, getDestBufferConnections, getFileName, getInputBuffer, getInputBuffer, getInputBufferAsString, getInputBufferAsStringArray, getInputBufferContents, getLogger, getName, getOutputBuffer, getOutputBuffer, getOutputBufferAsString, getOutputBufferAsStringArray, getOutputBufferContents, getParent, getProperties, getProperty, getPropertyChangeListeners, getPropertyConnectionManager, getSleepTime, getSourceBufferConnections, getState, getTraceLogger, hasInputBuffer, hasOutputBuffer, init, isAbleEventPostingEnabled, isAbleEventProcessingEnabled, isChanged, isConnectable, isDataFlowEnabled, isTimerEventProcessingEnabled, notifyAbleEventListeners, process, processAbleEvent, processBufferConnections, processNoEventProcessingEnabledSituation, processTimerEvent, removeAbleEventListener, removeAllAbleEventListeners, removeAllBufferConnections, removeAllPropertyConnections, removeDestBufferConnection, removeProperty, removePropertyChangeListener, removePropertyConnection, removeSourceBufferConnection, removeStateChangeListener, restartEnabledEventProcessing, restoreFromFile, restoreFromFile, restoreFromSerializedFile, restoreFromStream, resumeEnabledEventProcessing, saveToFile, saveToFile, setAbleEventProcessingEnabled, setChanged, setComment, setFileName, setInputBuffer, setInputBuffer, setLogger, setName, setOutputBuffer, setOutputBuffer, setParent, setProperties, setProperty, setSleepTime, setState, setTimerEventProcessingEnabled, setTraceLogger, sourceConnectionsOK, startEnabledEventProcessing, suspendEnabledEventProcessing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.ibm.able.AbleBean
`getComment, getLogger, getName, getParent, getProperties, getProperty, getState, getTraceLogger, init, isChanged, process, removeProperty, setChanged, setComment, setLogger, setName, setParent, setProperties, setProperty, setState, setTraceLogger`

Methods inherited from interface com.ibm.able.AbleDataBufferManager
`addDestBufferConnection, addSourceBufferConnection, getDestBufferConnections, getInputBuffer, getInputBuffer, getInputBufferAsString, getInputBufferAsStringArray, getInputBufferContents, getOutputBuffer, getOutputBuffer, getOutputBufferAsString, getOutputBufferAsStringArray, getOutputBufferContents, getSourceBufferConnections, hasInputBuffer, hasOutputBuffer, isConnectable, isDataFlowEnabled, processBufferConnections, removeAllBufferConnections, removeDestBufferConnection, removeSourceBufferConnection, setInputBuffer, setInputBuffer, setOutputBuffer, setOutputBuffer`

Methods inherited from interface com.ibm.able.AbleEventListenerManager
`addAbleEventListener, dataChanged, getAbleEventListeners, notifyAbleEventListeners, removeAbleEventListener`

Methods inherited from interface com.ibm.able.AbleEventQueueManager
`flushAbleEventQueue, getAbleEventProcessingEnabled, getAbleEventQueueSize, getSleepTime, isAbleEventPostingEnabled, isAbleEventProcessingEnabled, isTimerEventProcessingEnabled, restartEnabledEventProcessing, resumeEnabledEventProcessing, setAbleEventProcessingEnabled, setSleepTime, setTimerEventProcessingEnabled, startEnabledEventProcessing, suspendEnabledEventProcessing`

Methods inherited from interface com.ibm.able.AbleEventQueueProcessor
`processAbleEvent, processNoEventProcessingEnabledSituation, processTimerEvent`

Methods inherited from interface com.ibm.able.AblePropertyChangeManager
`addPropertyChangeListener, addPropertyConnection, getPropertyChangeListeners, getPropertyConnectionManager, removeAllPropertyConnections, removePropertyChangeListener, removePropertyConnection`

Methods inherited from interface com.ibm.able.AbleSerializable
`getFileName, restoreFromFile, restoreFromFile, saveToFile, saveToFile, setFileName`

Methods inherited from interface com.ibm.able.AbleBeanContainer
`getName`

Field Detail

### selectedMetrics

    protected AutotuneMetricCollection selectedMetrics

### adaptor

    protected AutotuneAdaptor adaptor

Constructor Detail

### BaseAutotuneController

    public BaseAutotuneController()
                           throws AbleException

### BaseAutotuneController

    public BaseAutotuneController(java.lang.String name)
                           throws AbleException

Method Detail

### setLogData

    public void setLogData(boolean state)

  turn logging on or off

### getLogData

    public boolean getLogData()

  see if logging is turned on or off

### isLogData

    public boolean isLogData()

  see if logging is turned on or off

### setLogDataFileName

    public void setLogDataFileName(java.lang.String fileName)

  set the name of the file to write log data to

### getLogDataFileName

    public java.lang.String getLogDataFileName()

  get the name of the file we are writing log data to

### computeErrors

    public void computeErrors()
                       throws AbleException

  compute the differences between actual and desired service levels for one or more service level metrics

  Specified by:
    `computeErrors` in interface `AutotuneController`
  Throws:
    `AbleException`

### computeControlActions

    public void computeControlActions()
                               throws AbleException

  compute the control actions for the target system or application

  Specified by:
    `computeControlActions` in interface `AutotuneController`
  Throws:
    `AbleException`

### setControlActions

    public void setControlActions()
                           throws AbleException

  set the control actions of the target system or application

  Specified by:
    `setControlActions` in interface `AutotuneController`
  Throws:
    `AbleException`

### setAdaptor

    public void setAdaptor(AutotuneAdaptor adaptor)

  set the active Adaptor

  Specified by:
    `setAdaptor` in interface `AutotuneController`

### getSelectedMetrics

    public AutotuneMetricCollection getSelectedMetrics()

  get the subset of the Agent metrics that are being used by this controller

### setSelectedMetrics

    public void setSelectedMetrics(AutotuneMetricCollection metrics)

  set the subset of the Agent metrics that are being used by this controller

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005